<?php
/*---------------------------------------------------------------*/
/*
    Titre : Connexion MySQLi                                                                                              
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1099
    Date dition     : 28 Aout 2019                                                                                       
    Date mise  jour : 28 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/?>
    Exemple (MySQLi procédural)
<?php
    $servername = "localhost";
    $username   = "username";
    $password   = "password";
    $DBname     = "DBname";

    // Créer une connexion
    $conn = mysqli_connect($servername, $username, $password, $DBname);

    // Vérifier la connexion
    if (!$conn) {
        die("La connexion a échoué: " . mysqli_connect_error());
    }
    echo "Connecté avec succès";

    // Fermer la connexion
    // mysqli_close($conn);

?>



    Exemple ( MySQLi orienté objet )
<?php
    $servername = "localhost";
    $username   = "username";
    $password   = "password";
    $DBname     = "DBname";

    // Créer une connexion
    $conn = new mysqli($servername, $username, $password, $DBname);

    // Vérifier la connexion
    if ($conn->connect_error) {
        die("La connexion a échoué: " . $conn->connect_error);
    } 
    echo "Connecté avec succès";

    // Fermer la connexion
    // $conn->close();
?>



    Exemple ( PDO )
<?php
    $servername = "localhost";
    $username   = "username";
    $password   = "password";
    $DBname     = "DBname";

    try {
        $conn = new PDO("mysql:host=$servername;dbname=myDB", $username, 
$password);
        // définir le mode d'erreur PDO sur exception
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        echo "Connecté avec succès";
        }
    catch(PDOException $e)
        {
        echo "La connexion a échoué: " . $e->getMessage();
        }
    // Fermer la connexion
    // $conn = null;

    // Remarque: Dans l'exemple PDO, est spécifié une base de données (myDB).
    // PDO nécessite une base de données valide pour se connecter.
?>